Box2D: b2Draw Class Reference

| Box2D 2.4.1 A 2D physics engine for games

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
b2Draw Class Referenceabstract

`#include <b2_draw.h>`

## Public Types
enum | { e_shapeBit = 0x0001 , e_jointBit = 0x0002 , e_aabbBit = 0x0004 , e_pairBit = 0x0008 , e_centerOfMassBit = 0x0010 }

## Public Member Functions
void | SetFlags (uint32 flags)
| Set the drawing flags.
uint32 | GetFlags () const
| Get the drawing flags.
void | AppendFlags (uint32 flags)
| Append flags to the current flags.
void | ClearFlags (uint32 flags)
| Clear flags from the current flags.
virtual void | DrawPolygon (const b2Vec2 *vertices, int32 vertexCount, const b2Color &color)=0
| Draw a closed polygon provided in CCW order.
virtual void | DrawSolidPolygon (const b2Vec2 *vertices, int32 vertexCount, const b2Color &color)=0
| Draw a solid closed polygon provided in CCW order.
virtual void | DrawCircle (const b2Vec2 &center, float radius, const b2Color &color)=0
| Draw a circle.
virtual void | DrawSolidCircle (const b2Vec2 &center, float radius, const b2Vec2 &axis, const b2Color &color)=0
| Draw a solid circle.
virtual void | DrawSegment (const b2Vec2 &p1, const b2Vec2 &p2, const b2Color &color)=0
| Draw a line segment.
virtual void | DrawTransform (const b2Transform &xf)=0
virtual void | DrawPoint (const b2Vec2 &p, float size, const b2Color &color)=0
| Draw a point.

## Protected Attributes
uint32 | m_drawFlags

## Detailed Description

Implement and register this class with a b2World to provide debug drawing of physics entities in your game.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
e_shapeBit | draw shapes
e_jointBit | draw joint connections
e_aabbBit | draw axis aligned bounding boxes
e_pairBit | draw broad-phase pairs
e_centerOfMassBit | draw center of mass frame

## Member Function Documentation

## ◆ DrawTransform()

virtual void b2Draw::DrawTransform | ( | const b2Transform & | xf | ) |
| pure virtual

Draw a transform. Choose your own length scale.

Parameters

  xf | a transform.

The documentation for this class was generated from the following file:

- /build/box2d/src/box2d-2.4.2/include/box2d/b2_draw.h